@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
:root{
--nums-blue:#3497db;
}
*{
    box-sizing: border-box;
}
body{
    font-family: 'Muli', sans-serif;
    margin:0;
    height: 100vh;
    overflow: hidden;
}
h4{
    font-size: 20px;
    margin:5px;
    text-transform: uppercase;
}
.counter{
    position: fixed;
    top:50%;
    left:50%;
    /* to put them all in center */
    transform: translate(-50%, -50%);
    text-align: center;
}
/* when number is going to hide .... */
.counter.hide{
    transform: translate(-50%,-50%) scale(0);
    animation:myhide 0.2s ease-out
}
@keyframes myhide {
    0%{
        transform: translate(-50%, -50%) scale(1);
    }
    100%{
        transform: translate(-50%, -50%) scale(0);
    }
}
.final{
    position: fixed;
    top:50%;
    left:50%;
    /* to put them all in center */
    transform: translate(-50%, -50%) scale(0);
    text-align: center;
}
.final.show{
    transform: translate(-50%,-50%) scale(1);
    animation:myshow 0.2s ease-out
}
@keyframes myshow {
    0%{
        transform: translate(-50%, -50%) scale(0);
    }
    30%{
        transform: translate(-50%, -50%) scale(1.4);
    }
    100%{
        transform: translate(-50%, -50%) scale(1);
    }
}
.nums{
    color:var(--nums-blue);
    font-size: 50px;
    position: relative;
    overflow: hidden;
    width:250px;
    height: 250px;
}
.nums span{
    position: absolute;
    top:50%;
    left:50%;
    /* new numbers will arrive in a circular way from the center */
    transform: translate(-50%, -50%) rotate(120deg) scale(0);
    transform-origin: bottom center;
}
/* the current displayed number */
.nums span.in{
    transform: translate(-50%, -50%) rotate(0deg);
    animation:myGoIn 0.5s ease-in-out;
}
/* Current number when left  */
.nums span.out{
    animation:myGoOut 0.5s ease-in-out;
}
@keyframes myGoIn {
    0%{
        transform: translate(-50%, -50%) rotate(120deg);
    }
    30%{
        transform: translate(-50%, -50%) rotate(-20deg);
    }
    60%{
        transform: translate(-50%, -50%) rotate(10deg);
    }
    100%{
        transform: translate(-50%, -50%) rotate(0deg);
    }
}
@keyframes myGoOut {
    0%{
        transform: translate(-50%, -50%) rotate(0deg);
    }
    60%{
        transform: translate(-50%, -50%) rotate(20deg);
    }
    100%{
        transform: translate(-50%, -50%) rotate(-120deg);
    }
    
}